import Foundation

struct ReactionModel : Codable {
    
    let the1: Int?
    let the2: Int?
    let the3: Int?
    let the4: Int?
    let the5: Int?
    let the6: Int?
	let is_reacted : Bool?
	let type : String?
	let count : Int?

	enum CodingKeys: String, CodingKey {
        case the1 = "1"
        case the2 = "2"
        case the3 = "3"
        case the4 = "4"
        case the5 = "5"
        case the6 = "6"
		case is_reacted = "is_reacted"
		case type = "type"
		case count = "count"
	}
       
    init(the1: Int?, the2: Int?, the3: Int?, the4: Int?, the5: Int?, the6: Int?, is_reacted: Bool, type: String, count: Int) {
        self.the1 = the1
        self.the2 = the2
        self.the3 = the3
        self.the4 = the4
        self.the5 = the5
        self.the6 = the6
        self.is_reacted = is_reacted
        self.type = type
        self.count = count
    }

	init(from decoder: Decoder) throws {
		let values = try decoder.container(keyedBy: CodingKeys.self)
        the1 = try values.decodeIfPresent(Int.self, forKey: .the1)
        the2 = try values.decodeIfPresent(Int.self, forKey: .the2)
        the3 = try values.decodeIfPresent(Int.self, forKey: .the3)
        the4 = try values.decodeIfPresent(Int.self, forKey: .the4)
        the5 = try values.decodeIfPresent(Int.self, forKey: .the5)
        the6 = try values.decodeIfPresent(Int.self, forKey: .the6)
		is_reacted = try values.decodeIfPresent(Bool.self, forKey: .is_reacted)
		type = try values.decodeIfPresent(String.self, forKey: .type)
		count = try values.decodeIfPresent(Int.self, forKey: .count)
	}

}
